CK_ARRAY_LENGTH(3)

NAME
ck_array_length - returns the number of pointers committed to an array

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
unsigned int
ck_array_length(ck_array_t *array);

DESCRIPTION
The ck_array_length(3) function returns the number of items a concurrent traversal operation would encounter at completion time.

RETURN VALUES
The number of traversal-visible pointers is returned.

SEE ALSO
ck_array_commit(3), ck_array_put(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_init(3) ck_array_deinit(3), ck_array_buffer(3), ck_array_initialized(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/